# Reward Mechanism

The objective of the protocol is to incentivize accurate estimation of market price (or accurate estimation of what everyone is estimating). To that effect, any rewards will be distributed based on the precision of pricing estimates measured by distance from the mean estimate.

### Reward Pools

Bounties posted by Price Seekers are first divided into two reward pools:

* **Base Rewards** offers a larger number of participating Price Experts relatively smaller financial rewards. <br>
* **Bonus Rewards** offers a smaller number of participating Price Experts a relatively larger financial reward.

Given our [#two-way-pricing-estimates](https://docs-25.gitbook.io/lithium-finance/pricing-mechanism#two-way-pricing-estimates "mention") model, Base Rewards and Bonus Rewards are further subdivided into reward pools for bid and ask estimates.&#x20;

### Reward Criteria

Price Experts will be allocated Boosters based on precision levels of their price estimates measured by proximity to the respective mean bid and ask price estimates.&#x20;

Precision levels are grouped in incremental intervals of ±0.1 points in Z-Score, of the pricing estimates submitted by the relevant Price Experts. Highest Booster goes to the group of Price Experts whose bid (or ask) estimates are closest to the mean bid (or ask) estimate. A Price Expert's share in the respective Reward Pool will be the their relative stake as multiplied by their respective Boosters.&#x20;

In event that no Price Experts submitted any estimate within Z Score of ±1.0, the enquiry will be cancelled and all LITH and rewards staked will be refunded to the respective Price Seekers and Price Experts.&#x20;

![Illustrative reward distribution&#x20;
assuming submitted estimates in perfect normal distribution and all participating Price Experts staking same amount of LITH ](https://24481001-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FrEavXqqy6mtDyGXoisdN%2Fuploads%2FECTm0OXiSv7DR0dki121%2Fimage.png?alt=media\&token=3be5fd93-b93f-413b-b9ff-a5d37a63d47b)

### Reward Distribution

A Price Expert will be entitled to Rewards in the relevant Reward Pool (in four pools being Base Reward and Bonus Reward for each of the bid and ask estimates), in accordance with:

$$
Reward\_i = \frac{BoostedStake\_i :} {\sum\_{j∈N}{: BoostedStake\_j:}} \times RewardPool
$$

*Where*

$$
BoostedStake\_i = Stake\_i \times Booster\_k: \[k= Zi \land Z\_i \leq zCutOff]
$$

$$
BoostedStake\_{j∈N} = Stake\_{j∈N} \times Booster\_k: \[k= Z\_{j∈N} \land Z\_{j∈N} \leq zCutOff]
$$

$$
*{w\.r.t. Base Reward,}; Booster*{k∈S} = \frac{1}{k} \ \\*{w\.r.t. Bonus Reward,}; Booster*{k∈S} = \frac{1}{k^2}
$$

* *`N` denotes the set of all Price Experts participating in the Enquiry*
* *`S` denotes {0+step, 0+step×2, … , zCutOff }, where `step`= zCutOff / 10*
* *`zCutOff`* equals 1
* *`i` denotes Price Expert i*
* *`j` denotes any Price Expert\_j∈N*
* *`k` equals Z\_j∈N in respect of the pricing estimate submitted by a Price Expert\_j∈N*&#x20;
* *`RewardPool` denotes the reward pool w\.r.t. any of the four reward pools (as the case may be)*
* *`Stake_i` denotes the amount of LITH staked by Price Expert i*&#x20;
* *`Stake_j∈N` equals the amount of LITH staked by Price Expert\_x∈N*&#x20;
* *`Z_i` denotes the absolute value of Z-Score, as rounded up to 1 decimal point, of the pricing estimate submitted by the Price Expert i*
* *`Z_j∈N` denotes the absolute value of Z-Score, as rounded up to 1 decimal point, of the pricing estimate submitted by any Price Expert\_x∈N*
* *`[ ]` denotes condition. Bracket value shall be 1 if the condition holds, otherwise 0*&#x20;

### Reputation Adjustments

In addition to claims in the Reward Pools, Price Experts participating in a pricing enquiry will also receive adjustments in their reputation or RP. Unlike Reward Distributions in which Price Experts will only receive positive rewards, RP will be adjusted upwards or downwards based on the precision of a Price Expert's pricing estimate.&#x20;

![Illustrative RP Adjustments assuming submitted price estimates in perfect normal distribution  ](https://24481001-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FrEavXqqy6mtDyGXoisdN%2Fuploads%2FmydZqz1UtgTFhRZQXq7J%2Fimage.png?alt=media\&token=dab39b3e-503e-4696-b390-11fba7e5ad38)

Adjustment for a Price Expert is in relation to either its bid or ask price estimate, and will be in accordance with:

$$
rpAdjustment\_i= rpAdjMultiplier × Round (-log(Z\_i))
$$

*Provided rpAdjustment i shall be no less than (- rpAdjMultiplier / 2)*

*Where*

* *`rpAdjMultiplier` denotes a constant rebase factor determined by the protocol in the smart contract.*
* *`Z_i` denotes the absolute value of Z-Score of pricing estimate submitted by the Price Expert as rounded up to 1 decimal point.*
* *`Round()` denotes rounding up function to the nearest integer.*

###


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-25.gitbook.io/lithium-finance/protocol/reward-mechanism.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
